Bug 859815 - [abrt] icoutils-0.29.1-6.fc17: read_library: Process /usr/bin/wrestool was killed by signal 11 (SIGSEGV)
[abrt] icoutils-0.29.1-6.fc17: read_library: Process /usr/bin/wrestool was ki...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: icoutils (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
abrt_hash:e276b8e2a71e43e1df17a6ac484...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 02:12 EDT by Christian Mehlis
Modified: 2012-10-14 07:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-14 07:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (413 bytes, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: environ (1.25 KB, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: backtrace (15.95 KB, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: cgroup (124 bytes, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: maps (1.53 KB, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: dso_list (322 bytes, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: var_log_messages (538 bytes, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details
File: open_fds (178 bytes, text/plain)
2012-09-24 02:12 EDT, Christian Mehlis
no flags Details

  None (edit)
Description Christian Mehlis 2012-09-24 02:12:22 EDT
Version-Release number of selected component:
icoutils-0.29.1-6.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        wrestool --extract --type=group_icon /run/media/c/98A6ACC8A6ACA7E8/setup.exe
crash_function: read_library
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (1 frames)
: #0 read_library at restable.c
Comment 1 Christian Mehlis 2012-09-24 02:12:31 EDT
Created attachment 616370 [details]
File: core_backtrace
Comment 2 Christian Mehlis 2012-09-24 02:12:33 EDT
Created attachment 616371 [details]
File: environ
Comment 3 Christian Mehlis 2012-09-24 02:12:36 EDT
Created attachment 616372 [details]
File: backtrace
Comment 4 Christian Mehlis 2012-09-24 02:12:38 EDT
Created attachment 616373 [details]
File: limits
Comment 5 Christian Mehlis 2012-09-24 02:12:40 EDT
Created attachment 616374 [details]
File: cgroup
Comment 6 Christian Mehlis 2012-09-24 02:12:42 EDT
Created attachment 616375 [details]
File: maps
Comment 7 Christian Mehlis 2012-09-24 02:12:44 EDT
Created attachment 616376 [details]
File: dso_list
Comment 8 Christian Mehlis 2012-09-24 02:12:51 EDT
Created attachment 616377 [details]
File: var_log_messages
Comment 9 Christian Mehlis 2012-09-24 02:12:53 EDT
Created attachment 616378 [details]
File: open_fds
Comment 10 Martin Gieseking 2012-09-24 04:22:14 EDT
If possible, please provide the setup.exe file that made wrestool fail. Otherwise, it's hard to locate the issue.
Comment 11 Christian Mehlis 2012-09-24 12:49:54 EDT
don't know the exe. all i have is in this report.
Comment 12 Martin Gieseking 2012-09-24 12:58:03 EDT
As mentioned in the bug report above, you ran wrestool on a file "setup.exe":
wrestool --extract --type=group_icon /run/media/c/98A6ACC8A6ACA7E8/setup.exe

In order to reproduce and to locate the issue, we need this file. Without it it's pretty difficult to reproduce the issue.
Comment 13 Martin Gieseking 2012-10-07 03:21:42 EDT
Any news here? If it's not possible to provide further information about the exe file applied to wrestool, I have to close the ticket because of lacking information.
Comment 14 Martin Gieseking 2012-10-14 07:07:10 EDT
Closing due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.